# Shifts

## GET /api/v1/shifts

>

```json
{"openapi":"3.0.0","info":{"title":"TapRaise API","version":"v1"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"jwt","type":"http"}},"schemas":{"ShiftPaginationConnection":{"type":"object","properties":{"edges":{"type":"array","items":{"$ref":"#/components/schemas/ShiftEdge"}},"pageInfo":{"$ref":"#/components/schemas/PageInfo"}},"required":["edges","pageInfo"]},"ShiftEdge":{"type":"object","properties":{"node":{"$ref":"#/components/schemas/ShiftDto"},"cursor":{"type":"string","description":"Cursor used in 'before' and 'after' pagination connection arguments"}},"required":["node","cursor"]},"ShiftDto":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"UUID (v4)"},"date":{"format":"date-time","type":"string","description":"Deprecated: use startsAt instead","deprecated":true},"startsAt":{"format":"date-time","type":"string","description":"ISO8601 compatible datetime string"},"endsAt":{"format":"date-time","type":"string","description":"ISO8601 compatible datetime string"},"type":{"type":"string","enum":["d2d","street"],"nullable":true},"status":{"type":"string","enum":["scheduled","cancelled","completed"]},"updatedAt":{"format":"date-time","type":"string","description":"ISO8601 compatible datetime string"},"userUuid":{"type":"string","format":"uuid","description":"UUID (v4)"}},"required":["uuid","date","startsAt","endsAt","type","status","updatedAt","userUuid"]},"PageInfo":{"type":"object","properties":{"startCursor":{"type":"string","nullable":true,"description":"The first cursor of this slice"},"endCursor":{"type":"string","nullable":true,"description":"The last cursor of this slice"},"hasPreviousPage":{"type":"boolean"},"hasNextPage":{"type":"boolean"}},"required":["startCursor","endCursor","hasPreviousPage","hasNextPage"]}}},"paths":{"/api/v1/shifts":{"get":{"operationId":"ShiftOverviewRestController_getShifts","parameters":[{"name":"before","required":false,"in":"query","description":"Shift cursor to fetch results before","schema":{"type":"string"}},{"name":"last","required":false,"in":"query","description":"The amount of results to fetch before the 'before' cursor","schema":{"type":"number"}},{"name":"after","required":false,"in":"query","description":"Shift cursor to fetch results after","schema":{"type":"string"}},{"name":"first","required":false,"in":"query","description":"The amount of results to fetch after the 'after' cursor","schema":{"type":"number"}},{"name":"status","required":false,"in":"query","description":"Shift status","schema":{"enum":["scheduled","cancelled","completed"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"ISO8601 compatible datetime string to filter on shift until a given date","schema":{"format":"date-time","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"ISO8601 compatible datetime string to filter on shift from a given date","schema":{"format":"date-time","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"ISO8601 compatible datetime string","schema":{"format":"date-time","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShiftPaginationConnection"}}}},"400":{"description":"Bad request. Response body shows what the problem is."},"401":{"description":"Service account not properly authenticated"},"403":{"description":"Service account forbids executing this action"},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShiftPaginationConnection"}}}}},"tags":["shifts"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tapraise.com/api/api-reference/shifts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
